Name:           gupnp-vala
Version:        0.5.3
Release:        4%{?dist}
Summary:        GUPnP is a upnp framework. This adds vala language bindings

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/bindings/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: vala-devel >= 0.5.7
BuildRequires: vala-tools >= 0.5.7
BuildRequires: gssdp-devel >= 0.6.4
BuildRequires: gupnp-devel >= 0.12.6
BuildRequires: gupnp-av-devel
BuildRequires: gupnp-ui-devel
BuildRequires: libsoup-devel
Requires: pkgconfig
Requires: vala >= 0.5.7

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

This package adds vala language bindings

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
# Exclude as file is empty
%exclude %{_datadir}/vala/vapi/gssdp-1.0.deps
%{_datadir}/vala/vapi/gssdp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%{_datadir}/vala/vapi/gupnp-ui-1.0.deps
%{_datadir}/vala/vapi/gupnp-ui-1.0.vapi
%{_libdir}/pkgconfig/gupnp-vala-1.0.pc

%changelog
* Tue Mar 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-4
- Add back the configure line, its sort of useful!

* Tue Mar 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-3
- Increment build

* Tue Mar 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-2
- Patch for noarch and some reqs thanks to Michel Salim

* Wed Feb 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-1
- New upstream version, review request fixes, update spec for new version

* Wed Jan 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- New upstream version

* Wed Dec 31 2008 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to new version to fix compile with newer vala and gupnp releases

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.2-2
- Fixed dep on vala-tools

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.2-1
- Initial release
